<?php
	$timelines = carbon_get_post_meta( get_the_ID(), 'timeline_items' );
	
	wp_enqueue_style( 'ta-timeline-css', plugin_dir_url( __FILE__ ) . '../css/timeline.min.css', array(), '', 'all' );
?>

<div class="timeline-container timeline-theme-1 timeline-post-<?php echo esc_attr(get_the_ID()); ?>" id="horizontal-1">
	<div class="timeline js-timeline">
	<?php
	foreach ( $timelines as $timeline ) { ?>
		<div data-time="<?php echo esc_attr($timeline['timeline_date']); ?>">
			<h3 class="timeline-title"><?php echo esc_html($timeline['timeline_item_title']); ?></h3>
			<div class="timeline-img">
				<?php echo wp_get_attachment_image( esc_html($timeline['timeline_item_img']), 'full' ); ?>
			</div>
			<p class="timeline-text"><?php echo wp_specialchars_decode($timeline['timeline_item_content']); ?></p>
		</div>
	<?php } ?>
	</div>
</div>
<?php wp_enqueue_script( 'ta-timeline-awesome-timeline', plugin_dir_url( __FILE__ ) . '../js/timeline.min.js', array( 'jquery' ), '', false ); ?>
<script>
(function( $ ) {
	'use strict';

	$(document).ready(function () {
		$('.js-timeline').Timeline({
		  dotsPosition: 'top',
		});
	});

})( jQuery );
</script>



