<?php
	$timelines = carbon_get_post_meta(get_the_ID(), 'timeline_items');
	
	wp_enqueue_style( 'ta-timeline-awesome-swiper', plugin_dir_url(__DIR__ ) . 'css/swiper.css', array(), '', 'all' );
?>

<div class="container vertical-5 timeline-post-<?php echo esc_attr(get_the_ID()); ?>" id="vertical-5">
	<div class="timeline">
		<div class="swiper-container">
			<div class="swiper-wrapper">
				<?php
				foreach ($timelines as $timeline) { ?>
				<div class="swiper-slide" style="background-image: url(<?php echo wp_get_attachment_url($timeline['timeline_item_img']); ?>" data-year="<?php echo esc_attr($timeline['timeline_date']); ?>">
					<div class="swiper-slide-content">
						<span class="timeline-year timeline-info"><?php echo esc_html($timeline['timeline_date']); ?></span>
						<h4 class="timeline-title"><?php echo esc_html($timeline['timeline_item_title']); ?></h4>
						<p class="timeline-text"><?php echo wp_specialchars_decode($timeline['timeline_item_content']); ?></p>
					</div>
				</div>
				<?php } ?>
			</div>
			<div class="swiper-button-prev"></div>
			<div class="swiper-button-next"></div>
			<div class="swiper-pagination"></div>
		</div>
	</div>
</div>

<?php wp_enqueue_script( 'ta-timeline-awesome-swiper', plugin_dir_url(__DIR__ ) . 'js/swiper.min.js', array( 'jquery' ), '', false ); ?>

<script>
(function ($) {
	'use strict';

	$(document).ready(function() {
		var teamSwiper = new Swiper ('.vertical-5 .timeline .swiper-container', {
		  	loop: false,
		  	speed: 1600,
		  	pagination: {
		        el: '.swiper-pagination',
		        clickable: true,
		        renderBullet: function (index, className) {
		        	console.log(index);
	    			var year = document.querySelectorAll('.swiper-slide')[index].getAttribute('data-year');
		          	return '<span class="' + className + '">' + year + '</span>';

		        },
		      },
		  	paginationClickable: true,
		     navigation: {
		        nextEl: '.swiper-button-next',
		        prevEl: '.swiper-button-prev',
		      },
		  	breakpoints: {
		    	768: {
		      	direction: 'horizontal',
		    	},
				1024: {
			      direction: 'vertical',
			    }
		  	}
		});
	});
})( jQuery );
</script>